# 73. Sorgu: Seçili tampon ile Izgaralı Veriyi getir

Seçilen tampon ile "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" gibi veri setlerinden ızgara şeklinde (gridded) veri almak için sorgu.

{% hint style="danger" %}
Sadece tek bir veri kümesi almak önerilir `sourceDataUrl` istek başına.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, ve `MinusTwoPixels` olarak kullanılabilir `tampon`.

{% hint style="danger" %}
`sourceDataUrl` link yalnızca erişilebilir **60 sn.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    isim
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      isim
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-belgeleri/geopard-api-isteklerine-genel-bakis/73.-sorgu-secili-tampon-ile-izgarali-veriyi-getir.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
